<?php
/**
 *  config.php
 *
 * Copyright 2015 R. Eric Wheeler <eric@rewiv.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 **/

require_once( __DIR__ . DIRECTORY_SEPARATOR .  basename('bootstrap.php', '.php') . '.php'); 

if( isset( $_SERVER['HTTP_REFERER'] ) ):
 header("Location: /", 401);
endif;

$config = new stdClass();

$config->db = array(
  'host'  => 'localhost',
  'db'    => 'hathor_music',
  'port'  => 3306,
  'user'  => 'root',
  'pass'  => '123'
);

$config->defaults['cover_files'] = array(
  'folder.jpg',
  'folder.jpeg',
  'artist.jpg',
  'artist.jpeg',
  'album.jpg',
  'album.jpeg'
);
$config->logs = [
  'error'  => '/home/eric/code/hathor/app/hathor.err',
  'access' => '/home/eric/code/hathor/app/hathor.log'
];
