/* $Id$ */
/*
 * Written by Solar Designer <solar at openwall.com> in 2000-2011.
 * No copyright is claimed, and the software is hereby placed in the public
 * domain. In case this attempt to disclaim copyright and place the software
 * in the public domain is deemed null and void, then the software is
 * Copyright (c) 2000-2011 Solar Designer and it is hereby released to the
 * general public under the following terms:
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted.
 *
 * There's ABSOLUTELY NO WARRANTY, express or implied.
 *
 * See crypt_blowfish.c for more information.
 */

#ifndef _CRYPT_BLOWFISH_H
#define _CRYPT_BLOWFISH_H


#ifdef __cplusplus
extern "C" {
#endif
unsigned char *php_base64_encode(const unsigned char *str, int length, int *ret_length);	
int password_hash(const char *pass, int cost, char *crpt);
extern char *php_crypt_blowfish_rn(const char *key, const char *setting, char *output, int size);
char *_crypt_gensalt_blowfish_rn(const char *prefix, unsigned long count,
	const char *input, int size, char *output, int output_size);
#ifdef __cplusplus
}
#endif

#endif
