//
// Created by eric on 8/15/15.
//

#ifndef HATHOR_MYSQL_HH
#define HATHOR_MYSQL_HH

#include <mysql_driver.h>
#include <mysql_connection.h>
#include <cppconn/driver.h>
#include <cppconn/exception.h>
#include <cppconn/resultset.h>
#include <cppconn/statement.h>
#include <cppconn/prepared_statement.h>
#include <cppconn/metadata.h>
#include <cppconn/parameter_metadata.h>

sql::Connection* get_connection(
  const char * user,
  const char * password,
  const char * host = "localhost",
  unsigned short port=3306
);

int hathor_install_schema( sql::Connection* connection );
unsigned int get_max_statements( sql::Connection *connection );

#endif //HATHOR_MYSQL_HH
